(function() {
  var domainParseController, express, _;

  express = require('express');

  _ = require('lodash');

  module.exports = {};

  domainParseController = require('./domainParse');

  module.exports.use = function(app, options) {
    var args;
    if (options == null) {
      options = {};
    }
    args = Array.prototype.slice.call(arguments);
    if (args.length === 1) {
      options = app;
      app = express();
    }
    app.use(function(req, res, next) {
      res.domainTokenized = domainParseController(req);
      return next();
    });
    app.response.getDomainToken = function() {
      return this.domainTokenized;
    };
    return {
      app: app
    };
  };

}).call(this);
