require 'coffee-script/register'

module.exports = (grunt) ->
  require('time-grunt')(grunt)

  require('load-grunt-tasks') grunt,
    scope: 'devDependencies'

  console.log require('grunt-autoload-config') grunt,
    path: './grunt/'
    ext: '.coffee'
    initConfig:
      pkg: grunt.file.readJSON('package.json')

  grunt.registerTask 'release', 'Release a new version, push it and publish', (target) ->
    runTask = []
    runTask.push 'bump' if target is 'bump'
    runTask.push 'bump:patch' if target is 'patch' or target is 'force'
    runTask.push 'bump:minor' if target is 'minor'
    runTask.push 'bump:major' if target is 'major'
    runTask.push 'bump:prerelease' if target is 'dev'
    runTask = ['build','bump:git'] if target is 'git'
    runTask.concat ['bump:patch'] unless target
    grunt.task.run runTask
